- name: Install misc tools
  apt:
    name: ['avrdude', 'putty']
    state: present

- name: Copy the AVR toolchain debs from the local directory
  copy:
    src: resources/{{ item }}
    dest: /home/vagrant/
  with_items:
    - avr-libc_2.0.0+PM-1_amd64.deb
    - binutils-avr_2.31.1+PM-1_amd64.deb
    - gcc-avr-full_8.2.0+PM-1_amd64.deb

- name: Install the AVR toolchain debs
  apt:
    deb: /home/vagrant/{{ item }}
    state: present
  with_items:
    - avr-libc_2.0.0+PM-1_amd64.deb
    - binutils-avr_2.31.1+PM-1_amd64.deb
    - gcc-avr-full_8.2.0+PM-1_amd64.deb

- name: Add bootloadHID tool
  copy:
    src: resources/bootloadHID
    dest: /usr/local/bin
    mode: 0755

- name: Copy documentation to Desktop
  become: yes
  become_user: "{{ username }}"
  copy:
    src: resources/{{ item }}
    dest: "/home/{{ username }}/Desktop/"
  with_items:
    - Atmega324A-datasheet.pdf
    - Hardware-Cheatsheet.pdf
    - Programming-Cheatsheet.pdf
